"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const event = require("../../../constants/event.js");
const types = require("../../../utils/types.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const index = require("../../../hooks/use-size/index.js");
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const radioPropsBase = runtime.buildProps({
  modelValue: {
    type: [
      String,
      Number,
      Boolean
    ],
    default: void 0
  },
  size: index.useSizeProp,
  disabled: {
    type: Boolean,
    default: void 0
  },
  label: {
    type: [
      String,
      Number,
      Boolean
    ],
    default: void 0
  },
  value: {
    type: [
      String,
      Number,
      Boolean
    ],
    default: void 0
  },
  name: {
    type: String,
    default: void 0
  }
});
const radioProps = runtime.buildProps({
  ...radioPropsBase,
  border: Boolean
});
const radioEmits = {
  [event.UPDATE_MODEL_EVENT]: (val) => shared_esmBundler.isString(val) || types.isNumber(val) || types.isBoolean(val),
  [event.CHANGE_EVENT]: (val) => shared_esmBundler.isString(val) || types.isNumber(val) || types.isBoolean(val)
};
exports.radioEmits = radioEmits;
exports.radioProps = radioProps;
exports.radioPropsBase = radioPropsBase;
